    # File lib/fog/hp/models/storage/files.rb, line 18
            def all(options = {})
              requires :directory
              options = {
                'limit'   => limit,
                'marker'  => marker,
                'path'    => path,
                'prefix'  => prefix
              }.merge!(options)
              merge_attributes(options)
              parent = directory.collection.get(
                directory.key,
                options
              )
              if parent
                load(parent.files.map {|file| file.attributes})
              else
                nil
              end
            end